Subject: Re: CCL:Reusing autogrid maps in autodock

From: Xiao-Ping Zhang <[email-masked]>
Date: Wed, 13 Sep 2000 17:53:43 +0200

Dear Csaba and Dr. Morris,

Thank you for your e-mails to correct my mistake. Although I
am ashamed for my ignorance on the autodock theory, your
information might be useful for autodock novices. Therefore,
I
post it to the net. Hope everyone can forgive me.

Sincerely,

Xiao-Ping Zhang 

 Csaba wrote:
> 
> Dear Xiao-Ping,
> 
> The grid maps are specific only for the ligand ATOM TYPES and not for the
> ligands, itself.
> So, it is possible to use the same map files for different ligands with
> the same atom types. /if spacing, No. of grid points, target etc. are the
> same/
> 
> Regards,
> Csaba.
> _______________________________________
> Csaba Hetenyi, M.Sc., Ph.D. student
> University of Szeged
> Dept. of Medical Chemistry
> Addr.:H-6720 Szeged, Dom ter 8, Hungary
> Tel.: +36-62545147 or +36-62545136
> Fax.: +36-62545971
> 
> On Tue, 12 Sep 2000, Xiao-Ping Zhang wrote:
> 
> > Dear Trevor,
> >
> > If you run autogrid for your ligands against one
> > macromolecule separately, you will get different map files
> > for different ligands. As I understand, the map files should
> > be ligand specific, otherwise the program may not
> > discriminate good and bad ligand.
> >
> > Sincerely,
> >
> > Xiao-Ping Zhang
> >

"Garrett M. Morris" wrote:
> 
> Dear Zhang,
> 
> The grid maps can be reused.  The only thing that AutoGrid
> cares about in the ligand are the atom types.  If you calculate
> a set of maps, one for each atom type in all of your ligands,
> then you have everything you need.
> 
> If you have 2000 ligands, and all have C, N, O, and H, but some
> also have S, then you would calculated C, N, O, S, and H maps,
> once and once only, then you are done.
> 
> On Tue, 12 Sep 2000, Xiao-Ping Zhang wrote:
> 
> > Dear Trevor,
> >
> > If you run autogrid for your ligands against one
> > macromolecule separately, you will get different map files
> > for different ligands. As I understand, the map files should
> > be ligand specific, otherwise the program may not
> > discriminate good and bad ligand.
> 
> This is wrong.  AutoDock discriminates based on the topology and
> atom types in the ligand.
> 
> The maps are specific only to the protein or macromolecule.
> 
> >
> > Sincerely,
> >
> > Xiao-Ping Zhang
> >
> >
> 
> Best wishes,
> 
> Garrett
> 
> ___
> Dr Garrett M. Morris, MA, DPhil
> The Scripps Research Institute,       tel: (858) 784-2292
> Dept. Molecular Biology,  MB-5,       fax: (858) 784-2860
> 10550  North Torrey Pines Road,       email: [email-masked]
> La Jolla,  CA 92037-1000,  USA.       www.scripps.edu/pub/olson-web/gmm

******************************
Xiao-Ping Zhang
Department of Biochemistry
Arrhenius Laboratories of Natural Sciences
Stockholm Universities
106 91 Stockholm
Sweden

Phone:  046-08-162472 /162582
Fax:    046-08-153679
e-mail: [email-masked]